Subject: Fwd: New Version Notification for draft-farmer-6man-exceptions-64-00.txt

From: David Farmer <[email-masked]>
Date: Tue, 24 Jul 2018 00:28:44 -0500

I didn't get this in before the meeting cut-off at the beginning of the
month, but that gave me a few extra weeks to work on it though.

A quick summary; IPv6 subnets are defined by two separate parameters,
acting independently, the subnet assignment prefix (PIO with A flag set)
and the on-link prefix (PIO with L flag set). And, when configured using
subnet assignment prefixes, IPv6 subnets are required to be 64-bits in
length.  Otherwise, when configured solely using on-link prefixes, IPv6
subnets are only recommended to be 64-bits in length.

I think this walks the line between the factions, and it is consistent with
on how both SLAAC and IPv6 ND are defined and implemented.

Thanks

---------- Forwarded message ----------
From: <[email-masked]>
Date: Mon, Jul 23, 2018 at 10:59 PM
Subject: New Version Notification for draft-farmer-6man-exceptions-64-00.txt
To: David Farmer <[email-masked]>

A new version of I-D, draft-farmer-6man-exceptions-64-00.txt
has been successfully submitted by David Farmer and posted to the
IETF repository.

Name:           draft-farmer-6man-exceptions-64
Revision:       00
Title:          Exceptions to the 64-bit Boundary in IPv6 Addressing
Document date:  2018-07-23
Group:          Individual Submission
Pages:          13
URL:            https://www.ietf.org/internet-drafts/draft-farmer-6man-excep
tions-64-00.txt
Status:         https://datatracker.ietf.org/doc/draft-farmer-6man-exceptio
ns-64/
Htmlized:       https://tools.ietf.org/html/draft-farmer-6man-exceptions-64
-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-farmer-6man-exc
eptions-64

Abstract:
   This document clarifies exceptions to the 64-bit boundary in IPv6
   addressing.  The exceptions include, unicast IPv6 addresses with the
   first three bits 000, manually configured addresses, DHCPv6 assigned
   addresses, IPv6 on-link determination, and the possibility of an
   exception specified in separate IPv6 link-type specific documents.
   Further, operational guidance is provided and Appendix A. discusses
   the valid options for configuring IPv6 subnets

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

-- 
===============================================
David Farmer               Email:[email-masked]
Networking & Telecommunication Services
Office of Information Technology
University of Minnesota
2218 University Ave SE        Phone: 612-626-0815
Minneapolis, MN 55414-3029   Cell: 612-812-9952
===============================================

---

From: 神明達哉 <[email-masked]>
Date: Tue, 24 Jul 2018 15:19:34 -0700

At Tue, 24 Jul 2018 00:28:44 -0500,

> on how both SLAAC and IPv6 ND are defined and implemented.

I support the basic idea in that I can see this might be something
that the WG can live with to move forward.  I'd revise the summary a
bit though:

  When an IPv6 address is configured using subnet assignment prefixes
  (i.e., via SLAAC) it interface identifier is required (=MUST) to be
  64 bits in length.  Otherwise, when the address is configured solely
  using on-link prefixes (which include manually configured addresses
  and DHCPv6-assigned addresses), the interface identifier is only
  recommended (=SHOULD) to be 64 bits in length.

because this version would specify the "exceptions" more aligned with
RFC4291 and rfc4291bis; these say "Interface Identifiers are 64 bit
long" etc, rather than about subnet prefixes.

I've read the entire draft and have some comments on its details.  But
at this moment I'll hold off and see if this is really something we
can swallow at the high-level summary.  If this becomes just another
round of endless debate on "whether the magic number of 64 bits is
part of 'architecture' or whether 64 should really be 'required' (in
some cases)", then I'll use the spared time for other work while
letting others continue those topics.

--
JINMEI, Tatuya

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 25 Jul 2018 02:49:14 +0200

I have read many parts of the draft.

I like it gives freedom to IPv6-over-foo to use 65 if so it wants.

I find it shares the idea of a dichotomy 'subnet assignment prefix - 
on-link prefix', with a draft from author jinmei, who calls it 'SLAAC 
subnet prefix - on-link prefix'.  This means there could be convergence 
on that idea.  I may not agree with the idea, but others could.

I do not agree with the section Operational Guidance.

This sentence is maybe too short (it does not parse to me):
>    Further, unlike IPv4 where there is a single subnet mask parameter
>    with the two aspects of a subnet, address assignment and on-link
>    determination, tightly coupled together.

Other than non parsing, I can say that in IPv4 too there is a dichotomy 
between various prefix lenghts: I could have two distinct prefix lengths 
on the same subnet: one for DHCP and one for manually assigned 
addresses, at the same time.

Because of this possibility, I think the comparison to IPv4 is not relevant.

Alex

Le 24/07/2018 à 07:28, David Farmer a écrit :
> I think this walks the line between the factions, and it is consistent 
> with on how both SLAAC and IPv6 ND are defined and implemented.
> 
> Thanks
> 
> From: ** <[email-masked] <mailto:[email-masked]>>
> To: David Farmer <[email-masked] <mailto:[email-masked]>>
> 
> 
> 
> URL: 
> https://www.ietf.org/internet-drafts/draft-farmer-6man-exceptions-64-00.txt 
> <https://www.ietf.org/internet-drafts/draft-farmer-6man-exceptions-64-00.txt>
> Status: 
> https://datatracker.ietf.org/doc/draft-farmer-6man-exceptions-64/ 
> <https://datatracker.ietf.org/doc/draft-farmer-6man-exceptions-64/>
> Htmlized: https://tools.ietf.org/html/draft-farmer-6man-exceptions-64-00 
> <https://tools.ietf.org/html/draft-farmer-6man-exceptions-64-00>
> Htmlized: 
> https://datatracker.ietf.org/doc/html/draft-farmer-6man-exceptions-64 
> <https://datatracker.ietf.org/doc/html/draft-farmer-6man-exceptions-64>
> 
> 
> Abstract:
> until the htmlized version and diff are available at tools.ietf.org 
> <http://tools.ietf.org>.
> 
> The IETF Secretariat
> 
> 
> 
> 
> -- 
> David Farmer Email:[email-masked] <mailto:[email-masked]>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>